Notus API
User operations

Prepare limit order cancellation

Returns the typed data required to cancel an active Velora Delta limit order.

POST
/api/v1/crypto/limit-orders/{transactionId}/cancel

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

transactionId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/crypto/limit-orders/string/cancel" \  -H "Content-Type: application/json" \  -d '{    "signature": "string"  }'
{  "requiresExecution": true,  "status": "PENDING_SIGNATURE",  "id": "tx_123",  "signData": [    {      "type": "LIMIT_ORDER",      "typedData": {        "domain": {          "name": "Portikus",          "version": "2.0.0",          "chainId": 137,          "verifyingContract": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464"        },        "types": {          "Kernel": [            {              "name": "hash",              "type": "bytes32"            }          ]        },        "primaryType": "Order",        "message": {          "owner": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",          "srcAmount": "1000000000000000000"        }      }    }  ],  "expiresAt": null,  "fees": [    {      "amount": {        "value": "0",        "usd": "0",        "brl": "0"      },      "nativeAmount": "0",      "percent": 0,      "recipient": null,      "tokenAddress": "0x0000000000000000000000000000000000000000",      "type": "GAS"    }  ],  "receivedAmount": {    "amount": "0",    "amountIn": {      "btc": "1234.98765",      "eth": "1234.98765",      "ltc": "1234.98765",      "bch": "1234.98765",      "bnb": "1234.98765",      "eos": "1234.98765",      "xrp": "1234.98765",      "xlm": "1234.98765",      "link": "1234.98765",      "dot": "1234.98765",      "yfi": "1234.98765",      "usd": "1234.98765",      "aed": "1234.98765",      "ars": "1234.98765",      "aud": "1234.98765",      "bdt": "1234.98765",      "bhd": "1234.98765",      "bmd": "1234.98765",      "brl": "1234.98765",      "cad": "1234.98765",      "chf": "1234.98765",      "clp": "1234.98765",      "cny": "1234.98765",      "czk": "1234.98765",      "dkk": "1234.98765",      "eur": "1234.98765",      "gbp": "1234.98765",      "gel": "1234.98765",      "hkd": "1234.98765",      "huf": "1234.98765",      "idr": "1234.98765",      "ils": "1234.98765",      "inr": "1234.98765",      "jpy": "1234.98765",      "krw": "1234.98765",      "kwd": "1234.98765",      "lkr": "1234.98765",      "mmk": "1234.98765",      "mxn": "1234.98765",      "myr": "1234.98765",      "ngn": "1234.98765",      "nok": "1234.98765",      "nzd": "1234.98765",      "php": "1234.98765",      "pkr": "1234.98765",      "pln": "1234.98765",      "rub": "1234.98765",      "sar": "1234.98765",      "sek": "1234.98765",      "sgd": "1234.98765",      "thb": "1234.98765",      "try": "1234.98765",      "twd": "1234.98765",      "uah": "1234.98765",      "vef": "1234.98765",      "vnd": "1234.98765",      "zar": "1234.98765",      "xdr": "1234.98765",      "xag": "1234.98765",      "xau": "1234.98765",      "bits": "1234.98765",      "sats": "1234.98765"    }  }}